=== debian/control ===
Source: ros-indigo-rqt-multiplot
Section: misc
Priority: extra
Maintainer: Ralf Kaestner <ralf.kaestner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqwt-dev, ros-indigo-catkin, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-variant-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rqt-multiplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-variant-topic-tools
Description: rqt_multiplot provides a GUI plugin for visualizing numeric values in multiple 2D plots using the Qwt plotting backend.
